SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
VariableDeltaSerializer.h File Reference
`#include "VariableListDeltaTracker.h"`
`#include "DS_MemoryPool.h"`
`#include "NativeTypes.h"`
`#include "BitStream.h"`
`#include "PacketPriority.h"`
`#include "DS_OrderedList.h"`

Go to the source code of this file.

## Classes

class | SLNet::VariableDeltaSerializer
| Class to compare memory values of variables in a current state to a prior state Results of the comparisons will be written to a bitStream, such that only changed variables get written Can be used with ReplicaManager3 to Serialize a Replica3 per-variable, rather than comparing the entire object against itself Usage: BR> More...
struct | SLNet::VariableDeltaSerializer::SerializationContext
struct | SLNet::VariableDeltaSerializer::DeserializationContext
struct | SLNet::VariableDeltaSerializer::ChangedVariablesList
struct | SLNet::VariableDeltaSerializer::RemoteSystemVariableHistory

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Class Documentation

struct SLNet::VariableDeltaSerializer::DeserializationContext

Definition at line 73 of file VariableDeltaSerializer.h.

Class Members
BitStream * | bitStream |

struct SLNet::VariableDeltaSerializer::ChangedVariablesList

Definition at line 224 of file VariableDeltaSerializer.h.

Class Members
unsigned char | bitField |
unsigned short | bitWriteIndex |
uint32_t | sendReceipt |

struct SLNet::VariableDeltaSerializer::RemoteSystemVariableHistory

Definition at line 238 of file VariableDeltaSerializer.h.

Class Members
RakNetGUID | guid |
OrderedList< uint32_t, ChangedVariablesList *, UpdatedVariablesListPtrComp > | updatedVariablesHistory |
VariableListDeltaTracker | variableListDeltaTracker |